<?php
$tdatacat_cargospublicos = array();
$tdatacat_cargospublicos[".searchableFields"] = array();
$tdatacat_cargospublicos[".ShortName"] = "cat_cargospublicos";
$tdatacat_cargospublicos[".OwnerID"] = "";
$tdatacat_cargospublicos[".OriginalTable"] = "cat_cargospublicos";


$tdatacat_cargospublicos[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatacat_cargospublicos[".originalPagesByType"] = $tdatacat_cargospublicos[".pagesByType"];
$tdatacat_cargospublicos[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatacat_cargospublicos[".originalPages"] = $tdatacat_cargospublicos[".pages"];
$tdatacat_cargospublicos[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatacat_cargospublicos[".originalDefaultPages"] = $tdatacat_cargospublicos[".defaultPages"];

//	field labels
$fieldLabelscat_cargospublicos = array();
$fieldToolTipscat_cargospublicos = array();
$pageTitlescat_cargospublicos = array();
$placeHolderscat_cargospublicos = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelscat_cargospublicos["Spanish"] = array();
	$fieldToolTipscat_cargospublicos["Spanish"] = array();
	$placeHolderscat_cargospublicos["Spanish"] = array();
	$pageTitlescat_cargospublicos["Spanish"] = array();
	$fieldLabelscat_cargospublicos["Spanish"]["id"] = "Id";
	$fieldToolTipscat_cargospublicos["Spanish"]["id"] = "";
	$placeHolderscat_cargospublicos["Spanish"]["id"] = "";
	$fieldLabelscat_cargospublicos["Spanish"]["cargo"] = "Cargo";
	$fieldToolTipscat_cargospublicos["Spanish"]["cargo"] = "";
	$placeHolderscat_cargospublicos["Spanish"]["cargo"] = "";
	if (count($fieldToolTipscat_cargospublicos["Spanish"]))
		$tdatacat_cargospublicos[".isUseToolTips"] = true;
}


	$tdatacat_cargospublicos[".NCSearch"] = true;



$tdatacat_cargospublicos[".shortTableName"] = "cat_cargospublicos";
$tdatacat_cargospublicos[".nSecOptions"] = 0;

$tdatacat_cargospublicos[".mainTableOwnerID"] = "";
$tdatacat_cargospublicos[".entityType"] = 0;
$tdatacat_cargospublicos[".connId"] = "omega2_at_localhost";


$tdatacat_cargospublicos[".strOriginalTableName"] = "cat_cargospublicos";

	



$tdatacat_cargospublicos[".showAddInPopup"] = false;

$tdatacat_cargospublicos[".showEditInPopup"] = false;

$tdatacat_cargospublicos[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatacat_cargospublicos[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatacat_cargospublicos[".listAjax"] = false;
//	temporary
$tdatacat_cargospublicos[".listAjax"] = false;

	$tdatacat_cargospublicos[".audit"] = false;

	$tdatacat_cargospublicos[".locking"] = false;


$pages = $tdatacat_cargospublicos[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacat_cargospublicos[".edit"] = true;
	$tdatacat_cargospublicos[".afterEditAction"] = 1;
	$tdatacat_cargospublicos[".closePopupAfterEdit"] = 1;
	$tdatacat_cargospublicos[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatacat_cargospublicos[".add"] = true;
$tdatacat_cargospublicos[".afterAddAction"] = 1;
$tdatacat_cargospublicos[".closePopupAfterAdd"] = 1;
$tdatacat_cargospublicos[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatacat_cargospublicos[".list"] = true;
}



$tdatacat_cargospublicos[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatacat_cargospublicos[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacat_cargospublicos[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacat_cargospublicos[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacat_cargospublicos[".printFriendly"] = true;
}



$tdatacat_cargospublicos[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacat_cargospublicos[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacat_cargospublicos[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacat_cargospublicos[".isUseAjaxSuggest"] = true;

$tdatacat_cargospublicos[".rowHighlite"] = true;





$tdatacat_cargospublicos[".ajaxCodeSnippetAdded"] = false;

$tdatacat_cargospublicos[".buttonsAdded"] = false;

$tdatacat_cargospublicos[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacat_cargospublicos[".isUseTimeForSearch"] = false;


$tdatacat_cargospublicos[".badgeColor"] = "DC143C";


$tdatacat_cargospublicos[".allSearchFields"] = array();
$tdatacat_cargospublicos[".filterFields"] = array();
$tdatacat_cargospublicos[".requiredSearchFields"] = array();

$tdatacat_cargospublicos[".googleLikeFields"] = array();
$tdatacat_cargospublicos[".googleLikeFields"][] = "id";
$tdatacat_cargospublicos[".googleLikeFields"][] = "cargo";



$tdatacat_cargospublicos[".tableType"] = "list";

$tdatacat_cargospublicos[".printerPageOrientation"] = 0;
$tdatacat_cargospublicos[".nPrinterPageScale"] = 100;

$tdatacat_cargospublicos[".nPrinterSplitRecords"] = 40;

$tdatacat_cargospublicos[".geocodingEnabled"] = false;










$tdatacat_cargospublicos[".pageSize"] = 20;

$tdatacat_cargospublicos[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatacat_cargospublicos[".strOrderBy"] = $tstrOrderBy;

$tdatacat_cargospublicos[".orderindexes"] = array();


$tdatacat_cargospublicos[".sqlHead"] = "SELECT id,  	cargo";
$tdatacat_cargospublicos[".sqlFrom"] = "FROM cat_cargospublicos";
$tdatacat_cargospublicos[".sqlWhereExpr"] = "";
$tdatacat_cargospublicos[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacat_cargospublicos[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacat_cargospublicos[".arrGroupsPerPage"] = $arrGPP;

$tdatacat_cargospublicos[".highlightSearchResults"] = true;

$tableKeyscat_cargospublicos = array();
$tableKeyscat_cargospublicos[] = "id";
$tdatacat_cargospublicos[".Keys"] = $tableKeyscat_cargospublicos;


$tdatacat_cargospublicos[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "cat_cargospublicos";
	$fdata["Label"] = GetFieldLabel("cat_cargospublicos","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_cargospublicos["id"] = $fdata;
		$tdatacat_cargospublicos[".searchableFields"][] = "id";
//	cargo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "cargo";
	$fdata["GoodName"] = "cargo";
	$fdata["ownerTable"] = "cat_cargospublicos";
	$fdata["Label"] = GetFieldLabel("cat_cargospublicos","cargo");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "cargo";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cargo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_cargospublicos["cargo"] = $fdata;
		$tdatacat_cargospublicos[".searchableFields"][] = "cargo";


$tables_data["cat_cargospublicos"]=&$tdatacat_cargospublicos;
$field_labels["cat_cargospublicos"] = &$fieldLabelscat_cargospublicos;
$fieldToolTips["cat_cargospublicos"] = &$fieldToolTipscat_cargospublicos;
$placeHolders["cat_cargospublicos"] = &$placeHolderscat_cargospublicos;
$page_titles["cat_cargospublicos"] = &$pageTitlescat_cargospublicos;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["cat_cargospublicos"] = array();
//	persona
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="persona";
		$detailsParam["dOriginalTable"] = "persona";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "persona";
	$detailsParam["dCaptionTable"] = GetTableCaption("persona");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["cat_cargospublicos"][$dIndex] = $detailsParam;

	
		$detailsTablesData["cat_cargospublicos"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["cat_cargospublicos"][$dIndex]["masterKeys"][]="id";

				$detailsTablesData["cat_cargospublicos"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["cat_cargospublicos"][$dIndex]["detailKeys"][]="cargo_publico";

// tables which are master tables for current table (detail)
$masterTablesData["cat_cargospublicos"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_cat_cargospublicos()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	cargo";
$proto0["m_strFrom"] = "FROM cat_cargospublicos";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "cat_cargospublicos",
	"m_srcTableName" => "cat_cargospublicos"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "cat_cargospublicos";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "cargo",
	"m_strTable" => "cat_cargospublicos",
	"m_srcTableName" => "cat_cargospublicos"
));

$proto8["m_sql"] = "cargo";
$proto8["m_srcTableName"] = "cat_cargospublicos";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "cat_cargospublicos";
$proto11["m_srcTableName"] = "cat_cargospublicos";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "id";
$proto11["m_columns"][] = "cargo";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "cat_cargospublicos";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "cat_cargospublicos";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="cat_cargospublicos";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_cat_cargospublicos = createSqlQuery_cat_cargospublicos();


	
		;

		

$tdatacat_cargospublicos[".sqlquery"] = $queryData_cat_cargospublicos;



$tableEvents["cat_cargospublicos"] = new eventsBase;
$tdatacat_cargospublicos[".hasEvents"] = false;

?>